YITH WooCommerce Anti-Fraud

Description

YITH WooCommerce Anti-Fraud is the best way to understand and recognize all suspicious purchases made in your e-commerce site.

It’s hard to control and check every single order of your site, and as you should know, fraud are likely to happen. This is the main aim of the YITH WooCommerce Anti-Fraud plugin: control, supervise and be your personal alarm bell to help you protecting from suspicious users. The plugin is set on simple parameters that will help you recognized fraudulent transactions: in the order page, you will clearly see an icon for those possibly dangerous orders, with a clear and detailed explanation.
Protect yourself, and live you e-commerce site without any worry!

Features of YITH WooCommerce Anti-Fraud:

  • Enable/disable YITH WooCommerce Anti-Fraud from the option panel
  • Enable/disable customers’ first order check
  • Enable/disable international order check
  • Enable/disable IP geolocation check
  • Enable/disable billing and shipping addresses check

Suggestions

If you have suggestions about how to improve YITH WooCommerce Anti-Fraud, you can write us and contribute in making your YITH WooCommerce Anti-Fraud more and more performing.

Translators

Available Languages

  • English

If you have created your own language pack, or have an update for an existing one, you can send us the gettext PO and MO file so we can bundle it into language pack of YITH WooCommerce Anti-Fraud.

Screenshots

  • This is the settings page of YITH WooCommerce Anti-Fraud that you can find "YIT Plugins" menu. Use it to activate/deactivate plugin features and to set the rules you want to be checked.
  • This image shows the page of the order with the fraud-risk marker.
  • This image shows the metabox in the order detail page explaining which rules have not been satisfied

Installation

Installation

Important: First of all, you have to download and activate WooCommerce plugin, because YITH WooCommerce Anti-Fraud cannot work without it.

  1. Unzip the downloaded .zip file.
  2. Upload the YITH WooCommerce Anti-Fraud folder into the wp-content/plugins/ directory of your WordPress site.
  3. Activate YITH WooCommerce Anti-Fraud from Plugins page.

Configuration

YITH WooCommerce Anti-Fraud will add a new tab called “Anti-Fraud” in “YIT Plugins” menu. There, you will find all YIThemes plugins and you will be able to access quickly plugin settings page.

FAQ

Installation Instructions

Installation

Important: First of all, you have to download and activate WooCommerce plugin, because YITH WooCommerce Anti-Fraud cannot work without it.

  1. Unzip the downloaded .zip file.
  2. Upload the YITH WooCommerce Anti-Fraud folder into the wp-content/plugins/ directory of your WordPress site.
  3. Activate YITH WooCommerce Anti-Fraud from Plugins page.

Configuration

YITH WooCommerce Anti-Fraud will add a new tab called “Anti-Fraud” in “YIT Plugins” menu. There, you will find all YIThemes plugins and you will be able to access quickly plugin settings page.

Is it compatible with all WordPress themes?

Compatibility with all themes is impossible, because they are too many, but generally if themes are developed according to WordPress and WooCommerce guidelines, YITH plugins are compatible with them.
Yet, we can grant compatibility with themes developed by YIThemes, because they are constantly updated and tested with our plugins. Sometimes, especially when new versions are released, it might only require some time for them to be all updated, but you can be sure that they will be tested and will be working in a few days.

How can I get support if my WooCommerce plugin is not working?

If you have problems with our plugins or something is not working as it should, first follow this preliminary steps:

  • Test the plugin with a WordPress default theme, to be sure that the error is not caused by the theme you are currently using.
  • Deactivate all plugins you are using and check if the problem is still occurring.
  • Ensure that you plugin version, your theme version and your WordPress and WooCommerce version (if required) are updated and that the problem you are experiencing has not already been solved in a later plugin update.

If none of the previous listed actions helps you solve the problem, then, submit a ticket in the forum and describe your problem accurately, specify WordPress and WooCommerce versions you are using and any other information that might help us solve your problem as quickly as possible. Thanks!

Contributors & Developers

“YITH WooCommerce Anti-Fraud” is open source software. The following people have contributed to this plugin.

Contributors

“YITH WooCommerce Anti-Fraud” has been translated into 4 locales. Thank you to the translators for their contributions.

Translate “YITH WooCommerce Anti-Fraud” into your language.

Interested in development?

Browse the code, check out the SVN repository, or subscribe to the development log by RSS.

Changelog

Version 1.1.6 – Released: May 24, 2018

  • New: Support to WordPress 4.9.6
  • New: Support to WooCommerce 3.4.0
  • Update: plugin framework

Version 1.1.4 – Released: Feb 01, 2018

  • New: Support to WooCommerce 3.3.0
  • Update: plugin framework
  • Fix: fraud check process

Version 1.1.2 – Released: Sept 20, 2017

  • Update: plugin framework

Version 1.1.1 – Released: Mag 22, 2017

  • Update: plugin framework

Version 1.1.0 – Released: Mar 21, 2017

  • Tweak: Support for WooCommerce 3.0.0-RC 1

Version 1.0.6 – Released: Jun 01, 2016

  • Tweak: Tested with WooCommerce 2.6.0 beta 3

Version 1.0.5 – Released: Apr 22, 2016

  • New: minified versions of CSS files

Version 1.0.4 – Released: Jan 21, 2016

  • New: compatibility with WooCommerce 2.5

Version 1.0.3 – Released: Dec 09, 2015

  • New: default woocommerce geolocation service set as backup in case of failure of IP-api.com

Version 1.0.2 – Released: Oct 29, 2015

  • Update: plugin core framework

Version 1.0.1 – Released: Oct 27, 2015

  • New: tab premium

Version 1.0.0 – Released: Oct 09, 2015

  • Initial release